#include <QtCore>
#include "versionchecker.h"
#include <globals.h>

#ifndef PACKAGE_H
#define PACKAGE_H

class Package
{
public:
    Package();
    QString name;
    QString version;
    QString source;
    QString sourceUrl;
    QString release;
    QString homepage;
    QStringList reposList;
    bool operator<(const Package &other) const;
    int getRepoPriority(QString repo) const;

private:
    VersionChecker checker;
};

#endif // PACKAGE_H
